Gentoo Archives: gentoo-commits

From: Georgy Yakovlev <gyakovlev@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/alacritty/
Date: Tue, 12 Feb 2019 02:27:16
Message-Id: 1549938418.173b1bab97eaa6498636124851b3597005f949e1.gyakovlev@gentoo
commit:     173b1bab97eaa6498636124851b3597005f949e1
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 12 02:17:47 2019 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Feb 12 02:26:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=173b1bab

x11-terms/alacritty: bump to 0.2.9

Closes: https://bugs.gentoo.org/677768
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 x11-terms/alacritty/Manifest               |   3 +
 x11-terms/alacritty/alacritty-0.2.9.ebuild | 368 +++++++++++++++++++++++++++++
 2 files changed, 371 insertions(+)

diff --git a/x11-terms/alacritty/Manifest b/x11-terms/alacritty/Manifest
index 7813f8e8b80..ef9034f3200 100644
--- a/x11-terms/alacritty/Manifest
+++ b/x11-terms/alacritty/Manifest
@@ -8,6 +8,7 @@ DIST alacritty-0.2.4.tar.gz 1014613 BLAKE2B 6fe1f837c27df9da8bdf45471307dad60745
 DIST alacritty-0.2.5.tar.gz 1029198 BLAKE2B 3ddebe74ab469cbc6d2bebae5e55fbc380b99e1352f5e91b73b9c1bb6635780f3c333af569f8a3c4c6ba347aaa1099573b567d6b6421c734899d7845821b0d92 SHA512 0d98c87c8d7f04517dff9535968349031956c048f1ba7c5389678510b250457f237844c3dc190c359154988c55589485afb0df803b094b456c5921a1e50476ec
 DIST alacritty-0.2.6.tar.gz 1031106 BLAKE2B 4b0159b9d4206806381cd093e429cdc120cd79d8105d84c47e9e10ebe0b6150d5ee9779cc03b78014bc8c37a962677a49cc4c9ca2a319b6690207d635eedb7bf SHA512 dacd733cb9255f7a31768418cd3e47dbc6c9c609da00683013739364c1e9c62e54612a7112edbd232aeb0542268c929acbc1370b5749e183f62509eaa3f72217
 DIST alacritty-0.2.8.tar.gz 1025061 BLAKE2B 8aa14da317880209bf96d9a6f0ecc10fa533bad031439e76d846ae6d05014afae137b898f5f59dfa38a68be8c27b616752e2d7d9bc3412dd4a3ae12efa0ff077 SHA512 04d8c20fb7b59c2f5d0c382901f74e675a398bdddf23c442a4a900f0ddf115ae7f77e44b1bc95f6fd7aea6b716ee46e631507779e2c2c219ea36c44e6f14b80f
+DIST alacritty-0.2.9.tar.gz 1024988 BLAKE2B 80bb1f8704ce99c3a688e0cf2dbb31119a54c849568dd6fb7d6275cc6feaf4800fa50fd32479408a64e03a0e1f0f2257be3fd952ef5c22202fdd50064fe7b72b SHA512 c36dea633d5c9faa42956eff47fbd676b5f3a5ef28ae7d6711145f76e99ae92aa8ddcdde1eb5bc700855af5928e2da0b4be3f618bb05aa93c284b73727b2e337
 DIST alacritty.png 25216 BLAKE2B c3b0bc28d7dfc17da4224b0544e2c83b17c63669db5c809ec84532a52d8e5921fdbc058267eabfa29c71f3b577756cee4c8f8077ab4ac7de16d9290f0a4c62bf SHA512 afc37f92453dd5ab2fff353ce59b4e5c2e30f1d37836a5ddf43be82e67237b8646a5e6a88322b8918a2835ec19360d8f8fc388854ef74fcf8a5eea0dae291783
 DIST andrew-0.1.4.crate 8675 BLAKE2B 25d335096c3ad509bff202eb347bf8c193146b90d488c671f0b3796e78520ae0ea1ac93f7e77343c79bc2207804bad8f5f326b1e63fdf011dd60728dfd13f814 SHA512 b96fccfe1cec13c5d45c275b0a7dd6bb619a8c40a9d9b689e1618fae24088c4908b4af542e8df1a8664110599d6cd218a986c032bf2f22ee9aed8264edf92c24
 DIST andrew-0.1.5.crate 8807 BLAKE2B 7717c8369200690224f17ae06629d309200b6cffd44f75a35b9ea79cba86ff79dfaeb688522fc8dbf4470b2fbf70655e5513a1f1c5f81204445408a558f2b1d4 SHA512 7d63a5b56f698470abba15b42982434df711b49c5a19b7c0c55a62377b14a69c95df9ddc5b363f4a4d0b2bcec36bd4cfeb23feda753431f49a60d91e789c875b
@@ -160,6 +161,7 @@ DIST hyper-0.11.27.crate 155617 BLAKE2B 56b7a1b60b1b900dd7468cf623f48cb2af9d9396
 DIST hyper-0.12.19.crate 113017 BLAKE2B dd56aa385bd543214c3b1664e44e9842818c22685170b589cddfdc27d01c35282e807cd5ecdf4f9dad326935feab89a0ec85015a7b62d8690acc7150738f7346 SHA512 b90fc281a72e8dc11c55b2eb60a5e4fe4e39eedec4e55d9ae2636d4763d0bb0a3ccd7b6f52eb72a8a6a21b96b18378502812628c4db238b19d3a15649184aeb2
 DIST hyper-0.12.21.crate 113662 BLAKE2B d13d4da36de5122b6b022e63a4fa0c9240f83936a9e0ad7f182b7687593e9ebcc7d6221b81ff415d5ce0336a2a9bc47b2678ce6adfe536810c6c0e2c90bf536d SHA512 8af887d9f95ffc4f31f96b28436437eef8e48b60fac019b96fa934f4c5e0939a66a837b4cae9974ea1fc8c929d1b7eba7731a54fc809282c06f553f510eaa600
 DIST hyper-0.12.23.crate 114091 BLAKE2B 15075f8929c42da8d748a90fb792fb29447938cc669c5012b7a8bffd4b43a7239a0c41111ee6ecc10900b8879c6a92329cebb7f45171fc617d26061babeeb96b SHA512 cdaaa6bf0a95eda6c0a550b61e9f93754caaaf3375b6748d39a5d96ee293d820fe385554ff0e64982a453bd1388fd77f096acc4c8adc60942a1560fdfc72fa0d
+DIST hyper-0.12.24.crate 114317 BLAKE2B d1ce96c2ab0c47e56357befae00505c255c43d5b0a261d3dcd7f299431c51fddd4e37f3aab97807daed4a7372c396d0002deea5501d22a0d1823dbc5e59067be SHA512 df97429098cb0791a9a582e3c631945d65a37410226bddd94f05e755118945a77adaa51fd1f357bc5c27546ad018e8998d82ae48f209d40c27643d6f4c4312db
 DIST hyper-tls-0.1.4.crate 8137 BLAKE2B 92e9f0c3f852e80b69b977d313f4c6d74d9bd437ba1d1e5d1966acb5d768f8cfd73c9d1b9d2a2fceea22b36fb8296f14ddfbbcb00fd39264e8f639c3567275c3 SHA512 3cbcd0048e11d33aede6c27a816d9adb89abad9c29d09c62bf8a6b0235df3698a632786f53aee8ea4d539d553e0eb1862b54e3b547f753fd4808bdabeeb04a0e
 DIST hyper-tls-0.3.1.crate 8836 BLAKE2B c678f9ecb89f51d1beca7ebfcc258162dd6f87d444bf83f6c5b82a28070320bfe9d4b118571b3762ba3803d4fdfdfef70bdd780116154ae95542547ed08abc87 SHA512 3094057eadabd596ce7909c45aa24f6ed5a5dbbce4773fc20293ddf95c712234065253d38422a17e24c3fe674ff94d0bffb95e4034a97dfc46d4402b9add396c
 DIST idna-0.1.5.crate 258735 BLAKE2B 31f2506f76e9bbab68c0da6222db214865dc37994851d91eab8c6e7f0220e6bcebe50ce3a571866bc03f3ad1b337f25c3a02c7e7f1494553d91e85c1bf042950 SHA512 217bc49f667242bd89eff708fef395fd46cfe3d24440bfb76869086fb93805c4f49d718251fb1c35ac40d5588ec98cf8b8b516fda53d6d7fd3da1ab04b0d173a
@@ -239,6 +241,7 @@ DIST num-iter-0.1.37.crate 10201 BLAKE2B a4354c338eead77013cc7af2207e935a870855c
 DIST num-rational-0.2.1.crate 19311 BLAKE2B 4d62fb30d375ed1331bf4ed8aeb474df4aef1d08a344608160a5f04272120902a90a9eaa9f8b834d344e019385d30f8f6f264ebe32aafb34868af7f0b8f4d14b SHA512 64da4133e3fff6b862742fe8077d82bab3d851f605d72c2de646c1f3c9f05228ee0c041d6e659f636b64addbdc12666e7912885759f29fd5843888d6ff65b2bf
 DIST num-traits-0.1.43.crate 7659 BLAKE2B 313221a4364b18eb29e2d4c480209766c56b1ca2587a0ab8f668c71cfdefcd733d64be1430bea1846a77f075a26137fbe71f2f4d9be79688374cdbe9e0274ba4 SHA512 35ee0a41f8ae33b1e6656935585f540956a8155045992e7b488b9fdbcf0eb9c9adc90ed8128d45f248b9ac583114cf518c4c7de719b8c6627b29f2fbbac91f17
 DIST num-traits-0.2.6.crate 39923 BLAKE2B 7bd781368c553622620f0d62a09f2c82fd26d4e6378ea8fc51b0e655dcf0561701881027f46f7a98da1bc25b777c62ab7338387c776a9e5e3463ea53a7efe922 SHA512 db638c662737972f07bc7ab82b923bece8a6c04719199ec0c7ca90140ac11e4fd1e4eb3748a69ddd3ad2791d4f5f5f69a00ce8aae92a647d9015d130f85b6b4c
+DIST num_cpus-1.10.0.crate 10669 BLAKE2B 96500421a82aafbacbcf982e3041ddba40dd8ab7fb967d1fb386c2d543b7f3efe12e35c386602a20377e7dfe09f31ecc9094ee0a06aea588149bda7866fabedb SHA512 a97b282da6323fa37b93caaaa262e699f0a219f08d32bc8531363daa57ae3ea397927d09c36d38615dcd372443aa65a43b91f4a7a59910273b581b5322946a02
 DIST num_cpus-1.8.0.crate 10539 BLAKE2B df0b759bb2e1f6b31081968b190a804f168973a3c12b162106218ab0487421238021f15f6d97c4efdcec712277ab35873439e41ceff7ccc9c0bbc2fea0620bf5 SHA512 cd25a8da1a7c2639f33c3d36382580788d8056bce30f87b89993b92f39ea6ccce0527a907eb38dfdbe9219ae3a2bf86449dcb43ece978f834679dd4a8f8f2ea8
 DIST num_cpus-1.9.0.crate 10599 BLAKE2B 2dafafa67a4f187d148019c690c609c01743dbb0a8df77fc2771ae08d288b12a20550d9d582218900e3caf291e0e83e1bacd3b76ae46e6e65b94d5a642235c7e SHA512 8e51f266dfa1b9837f677d41a7edafe3768a9a0fea552ff5e63ca52874d1bf174b7fab018b1a6c130cc33259d0ff81e31d3933a376535f63c28d6da206d05c02
 DIST objc-0.2.5.crate 21308 BLAKE2B 10e19f7cf6abf5702e0caea7a0c97cb3f164d85e4956f1917d3a804cbc57a558ec36229228c3157808b3e5ddd212b99d832483cda2e7f14f08b15817d8cd62c3 SHA512 1094fd159060eabdfe659591274fa870e0b97b9c5474172c202ef5cac4f0bdac6acf1ba5ea549eecf62d2f2a141bb76c4987076fa9916b327063d71a7ccca5cf

diff --git a/x11-terms/alacritty/alacritty-0.2.9.ebuild b/x11-terms/alacritty/alacritty-0.2.9.ebuild
new file mode 100644
index 00000000000..8861e4ab6ef
--- /dev/null
+++ b/x11-terms/alacritty/alacritty-0.2.9.ebuild
@@ -0,0 +1,368 @@
+# Copyright 2017-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CRATES="
+MacTypes-sys-2.1.0
+adler32-1.0.3
+advapi32-sys-0.2.0
+aho-corasick-0.6.9
+andrew-0.1.6
+android_glue-0.2.3
+ansi_term-0.11.0
+approx-0.3.1
+argon2rs-0.2.5
+arraydeque-0.4.3
+arrayvec-0.4.10
+atty-0.2.11
+autocfg-0.1.2
+backtrace-0.3.13
+backtrace-sys-0.1.28
+base64-0.10.1
+bindgen-0.33.2
+bitflags-0.7.0
+bitflags-1.0.4
+blake2-rfc-0.2.18
+block-0.1.6
+byteorder-1.3.1
+bytes-0.4.11
+bzip2-0.3.3
+bzip2-sys-0.1.7
+cc-1.0.29
+cexpr-0.2.3
+cfg-if-0.1.6
+cgl-0.2.3
+clang-sys-0.22.0
+clap-2.32.0
+clipboard-0.4.6
+clipboard-win-2.1.2
+cloudabi-0.0.3
+cmake-0.1.35
+cocoa-0.18.4
+color_quant-1.0.1
+constant_time_eq-0.1.3
+copypasta-0.0.1
+core-foundation-0.5.1
+core-foundation-0.6.3
+core-foundation-sys-0.5.1
+core-foundation-sys-0.6.2
+core-graphics-0.13.0
+core-graphics-0.17.3
+core-text-13.1.1
+core-text-9.2.0
+crc32fast-1.1.2
+crossbeam-0.6.0
+crossbeam-channel-0.3.8
+crossbeam-deque-0.2.0
+crossbeam-deque-0.6.3
+crossbeam-epoch-0.3.1
+crossbeam-epoch-0.7.1
+crossbeam-utils-0.2.2
+crossbeam-utils-0.6.5
+deflate-0.7.19
+dirs-1.0.4
+dlib-0.4.1
+downcast-rs-1.0.3
+dtoa-0.4.3
+dunce-0.1.1
+either-1.5.0
+embed-resource-1.1.4
+encoding_rs-0.8.16
+env_logger-0.5.13
+env_logger-0.6.0
+errno-0.2.4
+errno-dragonfly-0.1.1
+error-chain-0.11.0
+euclid-0.19.5
+euclid_macros-0.1.0
+expat-sys-2.1.6
+failure-0.1.5
+failure_derive-0.1.5
+filetime-0.2.4
+fnv-1.0.6
+font-0.1.0
+font-loader-0.6.0
+foreign-types-0.3.2
+foreign-types-shared-0.1.1
+freetype-rs-0.19.1
+freetype-sys-0.7.1
+fsevent-0.2.17
+fsevent-sys-0.1.6
+fuchsia-cprng-0.1.1
+fuchsia-zircon-0.3.3
+fuchsia-zircon-sys-0.3.3
+futures-0.1.25
+futures-cpupool-0.1.8
+gcc-0.3.55
+gdi32-sys-0.2.0
+gif-0.10.1
+gl_generator-0.10.0
+gleam-0.6.8
+glob-0.2.11
+glutin-0.19.0
+h2-0.1.16
+http-0.1.15
+httparse-1.3.3
+humantime-1.2.0
+hyper-0.12.24
+hyper-tls-0.3.1
+idna-0.1.5
+image-0.20.1
+indexmap-1.0.2
+inflate-0.4.4
+inotify-0.6.1
+inotify-sys-0.1.3
+iovec-0.1.2
+itoa-0.4.3
+jpeg-decoder-0.1.15
+kernel32-sys-0.2.2
+khronos_api-3.0.0
+lazy_static-1.2.0
+lazycell-1.2.1
+libc-0.2.48
+libflate-0.1.19
+libloading-0.5.0
+libz-sys-1.0.25
+line_drawing-0.7.0
+linked-hash-map-0.5.1
+lock_api-0.1.5
+log-0.4.6
+lzw-0.10.0
+malloc_buf-0.0.6
+matches-0.1.8
+memchr-1.0.2
+memchr-2.1.3
+memmap-0.7.0
+memoffset-0.2.1
+mime-0.3.13
+mime_guess-2.0.0-alpha.6
+mio-0.6.16
+mio-anonymous-pipes-0.1.0
+mio-extras-2.0.5
+mio-named-pipes-0.1.6
+miow-0.2.1
+miow-0.3.3
+named_pipe-0.3.0
+native-tls-0.2.2
+net2-0.2.33
+nix-0.12.0
+nodrop-0.1.13
+nom-3.2.1
+nom-4.2.0
+notify-4.0.9
+num-derive-0.2.4
+num-integer-0.1.39
+num-iter-0.1.37
+num-rational-0.2.1
+num-traits-0.1.43
+num-traits-0.2.6
+num_cpus-1.10.0
+objc-0.2.5
+objc-foundation-0.1.1
+objc_id-0.1.1
+openssl-0.10.16
+openssl-probe-0.1.2
+openssl-sys-0.9.40
+ordered-float-0.5.2
+ordered-float-1.0.1
+osmesa-sys-0.1.2
+owning_ref-0.4.0
+parking_lot-0.7.1
+parking_lot_core-0.4.0
+peeking_take_while-0.1.2
+percent-encoding-1.0.1
+phf-0.7.24
+phf_codegen-0.7.24
+phf_generator-0.7.24
+phf_shared-0.7.24
+pkg-config-0.3.14
+png-0.12.0
+podio-0.1.6
+proc-macro2-0.4.27
+quick-error-1.2.2
+quote-0.3.15
+quote-0.6.11
+rand-0.4.6
+rand-0.6.5
+rand_chacha-0.1.1
+rand_core-0.3.1
+rand_core-0.4.0
+rand_hc-0.1.0
+rand_isaac-0.1.1
+rand_jitter-0.1.3
+rand_os-0.1.2
+rand_pcg-0.1.1
+rand_xorshift-0.1.1
+rayon-1.0.3
+rayon-core-1.4.1
+rdrand-0.4.0
+redox_syscall-0.1.51
+redox_termios-0.1.1
+redox_users-0.2.0
+regex-0.2.11
+regex-1.1.0
+regex-syntax-0.5.6
+regex-syntax-0.6.5
+remove_dir_all-0.5.1
+reqwest-0.9.9
+rustc-demangle-0.1.13
+rustc_version-0.2.3
+rusttype-0.4.3
+rusttype-0.7.5
+ryu-0.2.7
+same-file-1.0.4
+schannel-0.1.14
+scoped_threadpool-0.1.9
+scopeguard-0.3.3
+security-framework-0.2.2
+security-framework-sys-0.2.3
+semver-0.9.0
+semver-parser-0.7.0
+serde-1.0.87
+serde_derive-1.0.87
+serde_json-1.0.38
+serde_urlencoded-0.5.4
+serde_yaml-0.8.8
+servo-fontconfig-0.4.0
+servo-fontconfig-sys-4.0.7
+servo-freetype-sys-4.0.5
+shared_library-0.1.9
+siphasher-0.2.3
+slab-0.4.2
+smallvec-0.6.8
+smithay-client-toolkit-0.4.4
+socket2-0.3.8
+spsc-buffer-0.1.1
+stable_deref_trait-1.1.1
+static_assertions-0.3.1
+stb_truetype-0.2.6
+string-0.1.3
+strsim-0.7.0
+syn-0.15.26
+synstructure-0.10.1
+tempfile-3.0.6
+termcolor-1.0.4
+terminfo-0.6.1
+termion-1.5.1
+textwrap-0.10.0
+thread_local-0.3.6
+tiff-0.2.2
+time-0.1.42
+tokio-0.1.15
+tokio-current-thread-0.1.4
+tokio-executor-0.1.6
+tokio-io-0.1.11
+tokio-reactor-0.1.8
+tokio-tcp-0.1.3
+tokio-threadpool-0.1.11
+tokio-timer-0.2.10
+try-lock-0.2.2
+ucd-util-0.1.3
+unicase-1.4.2
+unicase-2.2.0
+unicode-bidi-0.3.4
+unicode-normalization-0.1.8
+unicode-width-0.1.5
+unicode-xid-0.1.0
+unreachable-1.0.0
+url-1.7.2
+user32-sys-0.2.0
+utf8-ranges-1.0.2
+utf8parse-0.1.1
+uuid-0.7.2
+vcpkg-0.2.6
+vec_map-0.8.1
+version_check-0.1.5
+void-1.0.2
+vte-0.3.3
+walkdir-2.2.7
+want-0.0.6
+wayland-client-0.21.11
+wayland-commons-0.21.11
+wayland-protocols-0.21.11
+wayland-scanner-0.21.11
+wayland-sys-0.21.11
+which-1.0.5
+widestring-0.2.2
+widestring-0.4.0
+winapi-0.2.8
+winapi-0.3.6
+winapi-build-0.1.1
+winapi-i686-pc-windows-gnu-0.4.0
+winapi-util-0.1.2
+winapi-x86_64-pc-windows-gnu-0.4.0
+wincolor-1.0.1
+winit-0.18.1
+winpty-sys-0.4.3
+winreg-0.4.0
+ws2_32-sys-0.2.1
+x11-clipboard-0.2.2
+x11-dl-2.18.3
+xcb-0.8.2
+xdg-2.2.0
+xml-rs-0.8.0
+yaml-rust-0.4.2
+zip-0.5.0
+"
+
+inherit bash-completion-r1 cargo desktop eutils
+
+DESCRIPTION="GPU-accelerated terminal emulator"
+HOMEPAGE="https://github.com/jwilm/alacritty"
+SRC_URI="https://github.com/jwilm/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	https://dev.gentoo.org/~gyakovlev/distfiles/alacritty.png
+	$(cargo_crate_uris ${CRATES})"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+	media-libs/fontconfig:=
+	media-libs/freetype:2
+"
+
+RDEPEND="${DEPEND}
+	sys-libs/zlib
+	x11-libs/libXcursor
+	x11-libs/libXi
+	x11-libs/libXrandr
+	x11-misc/xclip
+	virtual/opengl
+"
+
+BDEPEND="dev-util/cmake
+	sys-libs/ncurses
+	>=virtual/rust-1.32.0
+"
+
+DOCS=( CHANGELOG.md docs/ansicode.txt INSTALL.md README.md alacritty.yml )
+
+src_install() {
+	cargo_src_install --path=.
+
+	newbashcomp alacritty-completions.bash alacritty
+
+	insinto /usr/share/fish/vendor_completions.d/
+	newins alacritty-completions.fish alacritty.fish
+
+	insinto /usr/share/zsh/site-functions
+	newins alacritty-completions.zsh _alacritty
+
+	tic -e alacritty,alacritty-direct -o "${T}" alacritty.info || die "generating terminfo failed"
+	insinto /usr/share/terminfo/a/
+	doins  "${T}"/a/alacritty*
+
+	sed -i '/^Icon=/s/utilities-terminal/alacritty/' alacritty.desktop || die
+	domenu alacritty.desktop
+	doicon "${DISTDIR}"/alacritty.png
+
+	newman alacritty.man alacritty.1
+
+	einstalldocs
+}
+
+pkg_postinst() {
+	optfeature "wayland support" dev-libs/wayland
+}